com.amazonaws.services.codecommit.model

## Class TestRepositoryTriggersRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.TestRepositoryTriggersRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class TestRepositoryTriggersRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a test repository triggers operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`TestRepositoryTriggersRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TestRepositoryTriggersRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getRepositoryName()` The name of the repository in which to test the triggers.
`List<RepositoryTrigger>` `getTriggers()` The list of triggers to test.
`int` `hashCode()`
`void` `setRepositoryName(String repositoryName)` The name of the repository in which to test the triggers.
`void` `setTriggers(Collection<RepositoryTrigger> triggers)` The list of triggers to test.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TestRepositoryTriggersRequest` `withRepositoryName(String repositoryName)` The name of the repository in which to test the triggers.
`TestRepositoryTriggersRequest` `withTriggers(Collection<RepositoryTrigger> triggers)` The list of triggers to test.
`TestRepositoryTriggersRequest` `withTriggers(RepositoryTrigger... triggers)` The list of triggers to test.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestRepositoryTriggersRequest

    public TestRepositoryTriggersRequest()

### Method Detail

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The name of the repository in which to test the triggers.

Parameters:
  `repositoryName` - The name of the repository in which to test the triggers.

#### getRepositoryName

    public String getRepositoryName()

The name of the repository in which to test the triggers.

Returns:
  The name of the repository in which to test the triggers.

#### withRepositoryName

    public TestRepositoryTriggersRequest withRepositoryName(String repositoryName)

The name of the repository in which to test the triggers.

Parameters:
  `repositoryName` - The name of the repository in which to test the triggers.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTriggers

    public List<RepositoryTrigger> getTriggers()

The list of triggers to test.

Returns:
  The list of triggers to test.

#### setTriggers

    public void setTriggers(Collection<RepositoryTrigger> triggers)

The list of triggers to test.

Parameters:
  `triggers` - The list of triggers to test.

#### withTriggers

    public TestRepositoryTriggersRequest withTriggers(RepositoryTrigger... triggers)

The list of triggers to test.

NOTE: This method appends the values to the existing list (if any). Use `setTriggers(java.util.Collection)` or `withTriggers(java.util.Collection)` if you want to override the existing values.

Parameters:
  `triggers` - The list of triggers to test.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTriggers

    public TestRepositoryTriggersRequest withTriggers(Collection<RepositoryTrigger> triggers)

The list of triggers to test.

Parameters:
  `triggers` - The list of triggers to test.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TestRepositoryTriggersRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`